﻿function fileQueueError(file, errorCode, message) {
	try {
		if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
			alert("You have attempted to queue too many files.\n" + (message === 0 ? "You have reached the upload limit." : "You may select " + (message > 1 ? "up to " + message + " files." : "one file.")));
			return;
		}
		
		var progress = new FileProgress(file,this.customSettings.upload_target);
		progress.setError(this.customSettings.upload_target);
		
		switch (errorCode) {
		case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
			progress.setStatus("文件太大，上传失败",this.customSettings.upload_target);
			break;
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
			progress.setStatus("文件为空，上传失败",this.customSettings.upload_target);
			break;
		case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
			progress.setStatus("无效的文件类型，上传失败",this.customSettings.upload_target);
			break;
		default:
			if (file !== null) {progress.setStatus("未处理的错误",this.customSettings.upload_target);}
			break;
		}
	} catch (ex) {
        this.debug(ex);
    }
}


function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (numFilesQueued > 0) {
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadProgress(file, bytesLoaded) {

	try {
		var percent = Math.ceil((bytesLoaded / file.size) * 100);

		var progress = new FileProgress(file,  this.customSettings.upload_target);
		progress.setProgress(percent,this.customSettings.upload_target);
		if (percent === 100) {
			progress.setStatus("正在上传",this.customSettings.upload_target);
		} else {
			progress.setStatus("Uploading...",this.customSettings.upload_target);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadSuccess(file, serverData) {
	try {
		 var info = eval("("+serverData+")");
		var progress = new FileProgress(file,  this.customSettings.upload_target);
		if (info.state=="SUCCESS") {
			addImage(info.url);
			progress.setStatus("上传成功",this.customSettings.upload_target);
		} else {
			progress.setStatus("Error.",this.customSettings.upload_target);
			alert(serverData);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadComplete(file) {
	try {
		if (this.getStats().files_queued > 0) {
			this.startUpload();
		} else {
			var progress = new FileProgress(file,  this.customSettings.upload_target);
			progress.setComplete(this.customSettings.upload_target);
			$("#"+this.customSettings.upload_target).html("所有文件上传完毕");
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadError(file, errorCode, message) {
	var imageName =  "error.gif";
	var progress;
	try {
		switch (errorCode) {
		case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setStatus("Cancelled",this.customSettings.upload_target);
			}
			catch (ex1) {
				this.debug(ex1);
			}
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setStatus("Stopped",this.customSettings.upload_target);
			}
			catch (ex2) {
				this.debug(ex2);
			}
		case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
			imageName = "uploadlimit.gif";
			break;
		default:
			alert(message);
			break;
		}

		addImage("");

	} catch (ex3) {
		this.debug(ex3);
	}

}

function addImage(src) {
	var sonnum=$("#voteitem li").size()
var ImageHtml='<li><input type="text" name="t29" size="15" maxlength="50" style="float:left;" value="本地下载'+(sonnum+1)+'" onfocus="if(this.value==&quot;本地下载'+(sonnum+1)+'&quot;)this.value=&quot;&quot;" onblur="if(this.value==&quot;&quot;)this.value=&quot;本地下载'+(sonnum+1)+'&quot;" /><input type="text" name="t30" size="40" maxlength="255" class="ml20" value="'+src+'" />　<span class="upIcon up" title="向上移动"></span>　<span class="downIcon down" title="向下移动"></span>　<span class="deleteIcon delete" title="删除"></span></li>'
  $("#voteitem").append(ImageHtml);  
}


function FileProgress(file,targetID) {
	$("#"+targetID+" span:first-child").html(file.name+"　")
}
FileProgress.prototype.setProgress = function (percentage,targetID) {
	$("#"+targetID).addClass("progress_green");
};
FileProgress.prototype.setComplete = function (targetID) {
	$("#"+targetID).addClass("progress_blue");

};
FileProgress.prototype.setError = function (targetID) {
	$("#"+targetID).addClass("progress_red");

};

FileProgress.prototype.setStatus = function (status,targetID) {
	$("#"+targetID+" span:last-child").html(status)
};

