﻿function fileQueueError(file, errorCode, message) {
	try {
		if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
			alert("You have attempted to queue too many files.\n" + (message === 0 ? "You have reached the upload limit." : "You may select " + (message > 1 ? "up to " + message + " files." : "one file.")));
			return;
		}
		
		var progress = new FileProgress(file,this.customSettings.upload_target);
		progress.setError(this.customSettings.upload_target);
		
		switch (errorCode) {
		case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
			progress.setStatus("文件太大，上传失败",this.customSettings.upload_target);
			break;
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
			progress.setStatus("文件为空，上传失败",this.customSettings.upload_target);
			break;
		case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
			progress.setStatus("无效的文件类型，上传失败",this.customSettings.upload_target);
			break;
		default:
			if (file !== null) {progress.setStatus("未处理的错误",this.customSettings.upload_target);}
			break;
		}
	} catch (ex) {
        this.debug(ex);
    }
}


function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (numFilesQueued > 0) {
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadProgress(file, bytesLoaded) {

	try {
		var percent = Math.ceil((bytesLoaded / file.size) * 100);

		var progress = new FileProgress(file,  this.customSettings.upload_target);
		progress.setProgress(percent,this.customSettings.upload_target);
		if (percent === 100) {
			progress.setStatus("正在上传",this.customSettings.upload_target);
		} else {
			progress.setStatus("Uploading...",this.customSettings.upload_target);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadSuccess(file, serverData) {
	try {
		 var info = eval("("+serverData+")");
		var progress = new FileProgress(file,this.customSettings.upload_target);
		if (info.state=="SUCCESS") {
			addImage(info.url);
			progress.setStatus("上传成功",this.customSettings.upload_target);
		} else {
			progress.setStatus("Error.",this.customSettings.upload_target);
			alert(serverData);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadComplete(file) {
	try {
		if (this.getStats().files_queued > 0) {
			this.startUpload();
		} else {
			var progress = new FileProgress(file,this.customSettings.upload_target);
			progress.setComplete(this.customSettings.upload_target);
			$("#"+this.customSettings.upload_target).html("<span></span><span>所有文件上传完毕</span>");
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadError(file, errorCode, message) {
	var imageName =  "error.gif";
	var progress;
	try {
		switch (errorCode) {
		case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setStatus("Cancelled",this.customSettings.upload_target);
			}
			catch (ex1) {
				this.debug(ex1);
			}
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setStatus("Stopped",this.customSettings.upload_target);
			}
			catch (ex2) {
				this.debug(ex2);
			}
		case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
			imageName = "uploadlimit.gif";
			break;
		default:
			alert(message);
			break;
		}

		addImage("../lib/images/"+imageName);

	} catch (ex3) {
		this.debug(ex3);
	}

}

function addImage(src) {
var ImageHtml='<li>'
	ImageHtml+='<a href="'+src+'" target="_blank"><img src="'+src+'" width="80" height="60" class="img" /></a>'
	ImageHtml+='<div>'
	ImageHtml+='<img src="../theme/admin/images/_l.gif" class="leftarr" title="左移" />'
	ImageHtml+='<img src="../theme/admin/images/_r.gif" class="rightarr" title="右移" />'
	ImageHtml+='<img src="../theme/admin/images/_d.gif" class="delarr" title="删除" />'
	ImageHtml+='</div>'
	ImageHtml+='<input type="hidden" name="t2" value="'+src+'" />'
	ImageHtml+='</li>'
  $("#ImageArea").prepend(ImageHtml);  
}


function FileProgress(file,targetID) {
	$("#"+targetID+" span:first-child").html(file.name+"　")
}
FileProgress.prototype.setProgress = function (percentage,targetID) {
	$("#"+targetID).addClass("progress_green");
};
FileProgress.prototype.setComplete = function (targetID) {
	$("#"+targetID).addClass("progress_blue");

};
FileProgress.prototype.setError = function (targetID) {
	$("#"+targetID).addClass("progress_red");

};

FileProgress.prototype.setStatus = function (status,targetID) {
	$("#"+targetID+" span:last-child").html(status)
};

